libzypp 17.37.10

zypp::target::rpm::BinHeader::intList Class Reference

`#include <zypp/target/rpm/BinHeader.h>`

Inheritance diagram for zypp::target::rpm::BinHeader::intList:

## Public Member Functions
| intList ()
bool | empty () const
unsigned | size () const
long | operator[] (const unsigned idx_r) const

## Private Member Functions
unsigned | set (void *val_r, unsigned cnt_r, rpmTagType type_r)

## Private Attributes
std::vector< long > | _data
rpmTagType | _type

## Friends
class | BinHeader

## Detailed Description

Definition at line 115 of file BinHeader.h.

## Constructor & Destructor Documentation

## ◆ intList()

zypp::target::rpm::BinHeader::intList::intList | ( |  | ) |
| inline

Definition at line 118 of file BinHeader.h.

## Member Function Documentation

## ◆ empty()

bool zypp::target::rpm::BinHeader::intList::empty | ( |  | ) | const
| inline

Definition at line 122 of file BinHeader.h.

## ◆ size()

unsigned zypp::target::rpm::BinHeader::intList::size | ( |  | ) | const
| inline

Definition at line 125 of file BinHeader.h.

## ◆ operator[]()

long zypp::target::rpm::BinHeader::intList::operator[] | ( | const unsigned | idx_r | ) | const
| inline

Definition at line 128 of file BinHeader.h.

## ◆ set()

unsigned zypp::target::rpm::BinHeader::intList::set | ( | void * | val_r,
|  | unsigned | cnt_r,
|  | rpmTagType | type_r )
| private

Definition at line 100 of file BinHeader.cc.

## Friends And Related Symbol Documentation

## ◆ BinHeader

friend class BinHeader
| friend

Definition at line 132 of file BinHeader.h.

## Member Data Documentation

## ◆ _data

std::vector<long> zypp::target::rpm::BinHeader::intList::_data
| private

Definition at line 136 of file BinHeader.h.

## ◆ _type

rpmTagType zypp::target::rpm::BinHeader::intList::_type
| private

Definition at line 137 of file BinHeader.h.

The documentation for this class was generated from the following files:

- zypp/target/rpm/BinHeader.h
- zypp/target/rpm/BinHeader.cc